fop 1.1

## org.apache.fop.afp.goca
Class GraphicsLine

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
              org.apache.fop.afp.goca.AbstractGraphicsCoord
                  org.apache.fop.afp.goca.GraphicsLine

All Implemented Interfaces:
  Streamable, StructuredData

    public class GraphicsLine

extends AbstractGraphicsCoord

A GOCA graphics straight line drawn from the given absolute position

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary

Fields inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord
`coords, relative`

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`GraphicsLine(int[] coords, boolean relative)` Constructor

Method Summary
`void` `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord
`addCoords, getDataLength, isRelative, toString`

Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
`getName`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphicsLine

    public GraphicsLine(int[] coords,
                        boolean relative)

  Constructor

  Parameters:
    `coords` - the x/y coordinates for this object
    `relative` - is this a relative drawing order

Method Detail

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Specified by:
    `writeToStream` in interface `Streamable`
  Overrides:
    `writeToStream` in class `AbstractGraphicsCoord`
  Parameters:
    `os` - the outputsteam stream
  Throws:
    `java.io.IOException` - an I/O exception of some sort has occurred.

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.